<?xml version="1.0" encoding="UTF-8"?>
<!-- Licensed to the Apache Software Foundation (ASF) under one or more contributor 
	license agreements. See the NOTICE file distributed with this work for additional 
	information regarding copyright ownership. The ASF licenses this file to 
	you under the Apache License, Version 2.0 (the "License"); you may not use 
	this file except in compliance with the License. You may obtain a copy of 
	the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required 
	by applicable law or agreed to in writing, software distributed under the 
	License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS 
	OF ANY KIND, either express or implied. See the License for the specific 
	language governing permissions and limitations under the License. -->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>org.apache.isis.core</groupId>
		<artifactId>isis</artifactId>
		<version>2.0.0-M1</version>
		<relativePath>../../pom.xml</relativePath>
	</parent>

	<artifactId>isis-core-plugins-discovery-reflections</artifactId>

	<name>Apache Isis Plugin for Class Discovery (Reflections)</name>
	<description>
        Class discovery plugin using reflections.org.
    </description>

	<properties>
		<jar-plugin.automaticModuleName>org.apache.isis.plugins.discovery-reflections</jar-plugin.automaticModuleName>
		<git-plugin.propertiesDir>org/apache/isis/plugins/discovery-reflections</git-plugin.propertiesDir>
	</properties>

	<build>
		<resources>
			<resource>
				<filtering>false</filtering>
				<directory>src/main/resources</directory>
			</resource>
			<resource>
				<filtering>false</filtering>
				<directory>src/main/java</directory>
				<includes>
					<include>**</include>
				</includes>
				<excludes>
					<exclude>**/*.java</exclude>
				</excludes>
			</resource>
		</resources>
	</build>

	<dependencies>
		<!-- compile dependencies -->
		<dependency>
			<groupId>com.google.guava</groupId>
			<artifactId>guava</artifactId>
		</dependency>

		<dependency>
			<groupId>org.apache.isis.core</groupId>
			<artifactId>isis-core-commons</artifactId>
			<scope>compile</scope>
		</dependency>
		
	    <!-- as used by internal API, 
       	also provides com.google.code.findbugs/annotations @Nullable, 
       	but not transitive -->
        <dependency>
            <groupId>org.reflections</groupId>
            <artifactId>reflections</artifactId>
            <!--
            ideally we would like to make this optional (to enforce usage of internal
             reflective API, with only applib is allowed to access reflections directly.
              HOWEVER, there is also a runtime dependency on org.reflections.vfs.Vfs.UrlType. -->
            <optional>false</optional>
            <exclusions>
            	<!-- whatever reflections is dependent on, it should not be transitive if possible  -->
            	<exclusion>
            		<groupId>com.google.guava</groupId>
            		<artifactId>guava</artifactId>
            	</exclusion>
            </exclusions>
        </dependency>

	</dependencies>


</project>