<?xml version="1.0" encoding="UTF-8"?>
<!-- Licensed to the Apache Software Foundation (ASF) under one or more contributor 
	license agreements. See the NOTICE file distributed with this work for additional 
	information regarding copyright ownership. The ASF licenses this file to 
	you under the Apache License, Version 2.0 (the "License"); you may not use 
	this file except in compliance with the License. You may obtain a copy of 
	the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required 
	by applicable law or agreed to in writing, software distributed under the 
	License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS 
	OF ANY KIND, either express or implied. See the License for the specific 
	language governing permissions and limitations under the License. -->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>org.apache.isis.core</groupId>
		<artifactId>isis</artifactId>
		<version>2.0.0-M1</version>
		<relativePath>../../pom.xml</relativePath>
	</parent>

	<artifactId>isis-core-plugins-jaxrs-resteasy-3</artifactId>

	<name>Apache Isis Plugin for JAX-RS (Resteasy v3)</name>
	<description>
        JAX-RS plugin using jboss resteasy.
    </description>

	<properties>
		<jar-plugin.automaticModuleName>org.apache.isis.plugins.jaxrs-resteasy-3</jar-plugin.automaticModuleName>
		<git-plugin.propertiesDir>org/apache/isis/plugins/jaxrs-resteasy-3</git-plugin.propertiesDir>
	</properties>

	<build>
		<resources>
			<resource>
				<filtering>false</filtering>
				<directory>src/main/resources</directory>
			</resource>
			<resource>
				<filtering>false</filtering>
				<directory>src/main/java</directory>
				<includes>
					<include>**</include>
				</includes>
				<excludes>
					<exclude>**/*.java</exclude>
				</excludes>
			</resource>
		</resources>
	</build>

	<dependencies>

		<!-- compile dependencies -->

		<dependency>
			<groupId>org.apache.isis.core</groupId>
			<artifactId>isis-core-viewer-restfulobjects-rendering</artifactId>
		</dependency>

		<dependency>
			<groupId>org.apache.isis.core</groupId>
			<artifactId>isis-core-viewer-restfulobjects-applib</artifactId>
			<type>test-jar</type>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>org.apache.isis.core</groupId>
			<artifactId>isis-core-viewer-restfulobjects-server</artifactId>
		</dependency>

		<dependency>
			<groupId>org.jboss.resteasy</groupId>
			<artifactId>resteasy-jaxb-provider</artifactId>
			<version>${resteasy3-jaxrs.version}</version>
		</dependency>

		<dependency>
			<groupId>org.jboss.resteasy</groupId>
			<artifactId>resteasy-jackson-provider</artifactId>
			<version>${resteasy3-jaxrs.version}</version>
		</dependency>

		<!-- RestEasy -->
		<dependency>
			<groupId>org.jboss.resteasy</groupId>
			<artifactId>resteasy-jaxrs</artifactId>
			<version>${resteasy3-jaxrs.version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.jboss.spec.javax.servlet</groupId>
					<artifactId>jboss-servlet-api_3.1_spec</artifactId>
				</exclusion>
				<exclusion>
					<groupId>javax.annotation</groupId>
					<artifactId>jsr250-api</artifactId>
				</exclusion>
				<exclusion>
					<groupId>javax.activation</groupId>
					<artifactId>activation</artifactId>
				</exclusion>
				<!-- clashes with axon -->
				<exclusion>
					<groupId>commons-io</groupId>
					<artifactId>commons-io</artifactId>
				</exclusion>
			</exclusions>
		</dependency>


		<dependency>
			<!-- required because resteasy-jaxrs declares as a test dependency whereas 
				httpclient4 needs it as a compile dependency -->
			<groupId>commons-logging</groupId>
			<artifactId>commons-logging</artifactId>
		</dependency>
		<dependency>
			<groupId>com.fasterxml.jackson.core</groupId>
			<artifactId>jackson-core</artifactId>
		</dependency>
		<dependency>
			<groupId>com.fasterxml.jackson.core</groupId>
			<artifactId>jackson-databind</artifactId>
		</dependency>
		<dependency>
			<groupId>com.fasterxml.jackson.core</groupId>
			<artifactId>jackson-annotations</artifactId>
		</dependency>
		<dependency>
			<groupId>com.fasterxml.jackson.module</groupId>
			<artifactId>jackson-module-jaxb-annotations</artifactId>
		</dependency>

		<!-- TEST DEPENDENCIES -->
		
		<dependency>
            <groupId>org.apache.isis.core</groupId>
            <artifactId>isis-core-unittestsupport</artifactId>
            <scope>test</scope>
        </dependency>
        
        <dependency>
            <groupId>org.apache.isis.core</groupId>
            <artifactId>isis-core-viewer-restfulobjects-server</artifactId>
            <type>test-jar</type>
            <scope>test</scope>
        </dependency>

		<dependency>
			<groupId>javax.jdo</groupId>
			<artifactId>jdo-api</artifactId>
			<version>${jdo-api.version}</version>
			<scope>test</scope>
		</dependency>

	</dependencies>


</project>